Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BankAccount.Builder

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.BankAccount.Builder

Enclosing class:
  `BankAccount`

public static class BankAccount.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BankAccount`
  `build()`
  `BankAccount.Builder`
  `setAccount(String account)`
  `BankAccount.Builder`
  `setBankIdentificationCode(String bik)`
  `BankAccount.Builder`
  `setBankTitle(String bankTitle)`
  `BankAccount.Builder`
  `setComment(String comment)`
  `BankAccount.Builder`
  `setCorrespondentAccount(String correspondentAccount)`
  `BankAccount.Builder`
  `setDefaultAccount(boolean defaultAccount)`
  `BankAccount.Builder`
  `setGroupMask(long groupMask)`
  `BankAccount.Builder`
  `setId(int id)`
  `BankAccount.Builder`
  `setInUse(boolean inUse)`
  `BankAccount.Builder`
  `setOrganizationId(int organizationId)`
  `BankAccount.Builder`
  `setPaymentType(String paymentType)`
  `BankAccount.Builder`
  `setPaymentTypeId(int paymentTypeId)`
  `BankAccount.Builder`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setId

    public BankAccount.Builder setId(int id)

  - ### setTitle

    public BankAccount.Builder setTitle(String title)

  - ### setAccount

    public BankAccount.Builder setAccount(String account)

  - ### setBankIdentificationCode

    public BankAccount.Builder setBankIdentificationCode(String bik)

  - ### setBankTitle

    public BankAccount.Builder setBankTitle(String bankTitle)

  - ### setComment

    public BankAccount.Builder setComment(String comment)

  - ### setCorrespondentAccount

    public BankAccount.Builder setCorrespondentAccount(String correspondentAccount)

  - ### setDefaultAccount

    public BankAccount.Builder setDefaultAccount(boolean defaultAccount)

  - ### setGroupMask

    public BankAccount.Builder setGroupMask(long groupMask)

  - ### setInUse

    public BankAccount.Builder setInUse(boolean inUse)

  - ### setOrganizationId

    public BankAccount.Builder setOrganizationId(int organizationId)

  - ### setPaymentType

    public BankAccount.Builder setPaymentType(String paymentType)

  - ### setPaymentTypeId

    public BankAccount.Builder setPaymentTypeId(int paymentTypeId)

  - ### build

    public BankAccount build()